<?php 
session_start();
require_once('../conexion.php');
require_once('../include/sesiones.php');

$mes=date('m');
$ano=date('Y');




if($mes==1){ $n_mes="Enero"; }
if($mes==2){ $n_mes="Febrero"; } 
if($mes==3){ $n_mes="Marzo"; } 
if($mes==4){ $n_mes="Abril"; } 
if($mes==5){ $n_mes="Mayo"; } 
if($mes==6){ $n_mes="Junio"; } 
if($mes==7){ $n_mes="Julio"; } 
if($mes==8){ $n_mes="Agosto"; }
if($mes==9){ $n_mes="Septiembre"; } 
if($mes==10){ $n_mes="Octubre"; } 
if($mes==11){ $n_mes="Noviembre"; } 
if($mes==12){ $n_mes="Diciembre"; }  
$utt=0;
$pcc=0;
$pvv=0;


$sql1=mysqli_query($con, "SELECT *, SUM(kar_cantidad_r) as ca, AVG(kar_precio_costo) as pc, AVG(kar_precio_venta) as pv from  kardex_ventas where MONTH(kar_fecha)='$mes' and YEAR(kar_fecha)='$ano' and empresa='$empresa'  GROUP BY kar_art_id")or die(mysqli_error($con));
while ($cos=mysqli_fetch_array($sql1))
{
    $ca=$cos['ca'];
    $pc=$cos['pc'];
    $pv=$cos['pv'];
    $ut=$pv-$pc;
    
    $pcc+=$pc*$ca;
    $pvv+=$pv*$ca;
    $utt+=$ut*$ca;
}








$mes1 = strftime("%m", mktime(0, 0, 0, date("m")-1,date("d"),date("Y")));
if($mes1==1){ $n_mes1="Enero"; }
if($mes1==2){ $n_mes1="Febrero"; } 
if($mes1==3){ $n_mes1="Marzo"; } 
if($mes1==4){ $n_mes1="Abril"; } 
if($mes1==5){ $n_mes1="Mayo"; } 
if($mes1==6){ $n_mes1="Junio"; } 
if($mes1==7){ $n_mes1="Julio"; } 
if($mes1==8){ $n_mes1="Agosto"; }
if($mes1==9){ $n_mes1="Septiembre"; } 
if($mes1==10){ $n_mes1="Octubre"; } 
if($mes1==11){ $n_mes1="Noviembre"; } 
if($mes1==12){ $n_mes1="Diciembre"; } 
$utt1=0;
$pcc1=0;
$pvv1=0;

$sql1=mysqli_query($con, "SELECT *, SUM(kar_cantidad_r) as ca, AVG(kar_precio_costo) as pc, AVG(kar_precio_venta) as pv from  kardex_ventas where MONTH(kar_fecha)='$mes1' and YEAR(kar_fecha)='$ano'  and empresa='$empresa' GROUP BY kar_art_id")or die(mysqli_error($con));
while ($cos=mysqli_fetch_array($sql1))
{
    $ca=$cos['ca'];
    $pc=$cos['pc'];
    $pv=$cos['pv'];
    $ut=$pv-$pc;
    
    $pcc1+=$pc*$ca;
    $pvv1+=$pv*$ca;
    $utt1+=$ut*$ca;
}





$mes2 = strftime("%m", mktime(0, 0, 0, date("m")-2,date("d"),date("Y")));
if($mes2==1){ $n_mes2="Enero"; }
if($mes2==2){ $n_mes2="Febrero"; } 
if($mes2==3){ $n_mes2="Marzo"; } 
if($mes2==4){ $n_mes2="Abril"; } 
if($mes2==5){ $n_mes2="Mayo"; } 
if($mes2==6){ $n_mes2="Junio"; } 
if($mes2==7){ $n_mes2="Julio"; } 
if($mes2==8){ $n_mes2="Agosto"; }
if($mes2==9){ $n_mes2="Septiembre"; } 
if($mes2==10){ $n_mes2="Octubre"; } 
if($mes2==11){ $n_mes2="Noviembre"; } 
if($mes2==12){ $n_mes2="Diciembre"; } 
$utt2=0;
$pcc2=0;
$pvv2=0;

$sql1=mysqli_query($con, "SELECT *, SUM(kar_cantidad_r) as ca, AVG(kar_precio_costo) as pc, AVG(kar_precio_venta) as pv from  kardex_ventas where MONTH(kar_fecha)='$mes2' and YEAR(kar_fecha)='$ano'  and empresa='$empresa' GROUP BY kar_art_id")or die(mysqli_error($con));
while ($cos=mysqli_fetch_array($sql1))
{
    $ca=$cos['ca'];
    $pc=$cos['pc'];
    $pv=$cos['pv'];
    $ut=$pv-$pc;
    
    $pcc2+=$pc*$ca;
    $pvv2+=$pv*$ca;
    $utt2+=$ut*$ca;
}








$mes3 = strftime("%m", mktime(0, 0, 0, date("m")-3,date("d"),date("Y")));
if($mes3==1){ $n_mes3="Enero"; }
if($mes3==2){ $n_mes3="Febrero"; } 
if($mes3==3){ $n_mes3="Marzo"; } 
if($mes3==4){ $n_mes3="Abril"; } 
if($mes3==5){ $n_mes3="Mayo"; } 
if($mes3==6){ $n_mes3="Junio"; } 
if($mes3==7){ $n_mes3="Julio"; } 
if($mes3==8){ $n_mes3="Agosto"; }
if($mes3==9){ $n_mes3="Septiembre"; } 
if($mes3==10){ $n_mes3="Octubre"; } 
if($mes3==11){ $n_mes3="Noviembre"; } 
if($mes3==12){ $n_mes3="Diciembre"; } 
$utt3=0;
$pcc3=0;
$pvv3=0;
$sql1=mysqli_query($con, "SELECT *, SUM(kar_cantidad_r) as ca, AVG(kar_precio_costo) as pc, AVG(kar_precio_venta) as pv from  kardex_ventas where MONTH(kar_fecha)='$mes3' and YEAR(kar_fecha)='$ano' and empresa='$empresa' GROUP BY kar_art_id")or die(mysqli_error($con));
while ($cos=mysqli_fetch_array($sql1))
{
    $ca=$cos['ca'];
    $pc=$cos['pc'];
    $pv=$cos['pv'];
    $ut=$pv-$pc;
    
    $pcc3+=$pc*$ca;
    $pvv3+=$pv*$ca;
    $utt3+=$ut*$ca;
}





$mes4 = strftime("%m", mktime(0, 0, 0, date("m")-4,date("d"),date("Y")));
if($mes4==1){ $n_mes4="Enero"; }
if($mes4==2){ $n_mes4="Febrero"; } 
if($mes4==3){ $n_mes4="Marzo"; } 
if($mes4==4){ $n_mes4="Abril"; } 
if($mes4==5){ $n_mes4="Mayo"; } 
if($mes4==6){ $n_mes4="Junio"; } 
if($mes4==7){ $n_mes4="Julio"; } 
if($mes4==8){ $n_mes4="Agosto"; }
if($mes4==9){ $n_mes4="Septiembre"; } 
if($mes4==10){ $n_mes4="Octubre"; } 
if($mes4==11){ $n_mes4="Noviembre"; } 
if($mes4==12){ $n_mes4="Diciembre"; } 
$utt4=0;
$pcc4=0;
$pvv4=0;

$sql1=mysqli_query($con, "SELECT *, SUM(kar_cantidad_r) as ca, AVG(kar_precio_costo) as pc, AVG(kar_precio_venta) as pv from  kardex_ventas where MONTH(kar_fecha)='$mes4' and YEAR(kar_fecha)='$ano'  and empresa='$empresa' GROUP BY kar_art_id")or die(mysqli_error($con));
while ($cos=mysqli_fetch_array($sql1))
{
    $ca=$cos['ca'];
    $pc=$cos['pc'];
    $pv=$cos['pv'];
    $ut=$pv-$pc;
    
    $pcc4+=$pc*$ca;
    $pvv4+=$pv*$ca;
    $utt4+=$ut*$ca;
}



$mes5 = strftime("%m", mktime(0, 0, 0, date("m")-5,date("d"),date("Y")));
if($mes5==1){ $n_mes5="Enero"; }
if($mes5==2){ $n_mes5="Febrero"; } 
if($mes5==3){ $n_mes5="Marzo"; } 
if($mes5==4){ $n_mes5="Abril"; } 
if($mes5==5){ $n_mes5="Mayo"; } 
if($mes5==6){ $n_mes5="Junio"; } 
if($mes5==7){ $n_mes5="Julio"; } 
if($mes5==8){ $n_mes5="Agosto"; }
if($mes5==9){ $n_mes5="Septiembre"; } 
if($mes5==10){ $n_mes5="Octubre"; } 
if($mes5==11){ $n_mes5="Noviembre"; } 
if($mes5==12){ $n_mes5="Diciembre"; } 
$utt5=0;
$pcc5=0;
$pvv5=0;

$sql1=mysqli_query($con, "SELECT *, SUM(kar_cantidad_r) as ca, AVG(kar_precio_costo) as pc, AVG(kar_precio_venta) as pv from  kardex_ventas where MONTH(kar_fecha)='$mes5' and YEAR(kar_fecha)='$ano'  and empresa='$empresa'  GROUP BY kar_art_id")or die(mysqli_error($con));
while ($cos=mysqli_fetch_array($sql1))
{
    $ca=$cos['ca'];
    $pc=$cos['pc'];
    $pv=$cos['pv'];
    $ut=$pv-$pc;
    
    $pcc5+=$pc*$ca;
    $pvv5+=$pv*$ca;
    $utt5+=$ut*$ca;
}
?>


<script type="text/javascript">
google.charts.load('current', {'packages':['line']});
google.charts.setOnLoadCallback(drawChart);

function drawChart() 
{
    var data = new google.visualization.DataTable();
    data.addColumn('string', 'MES');
    data.addColumn('number', 'VENTAS');
    data.addColumn('number', 'COMPRAS');
    data.addColumn('number', 'UTILIDAD');

     data.addRows([
        ['<?php echo $n_mes5; ?>',  <?php echo $pvv5; ?>,  <?php echo $pcc5; ?>,  <?php echo $utt5; ?>],
        ['<?php echo $n_mes4; ?>',  <?php echo $pvv4; ?>,  <?php echo $pcc4; ?>,  <?php echo $utt4; ?>],
        ['<?php echo $n_mes3; ?>',  <?php echo $pvv3; ?>,  <?php echo $pcc3; ?>,  <?php echo $utt3; ?>],
        ['<?php echo $n_mes2; ?>',  <?php echo $pvv2; ?>,  <?php echo $pcc2; ?>,  <?php echo $utt2; ?>],
        ['<?php echo $n_mes1; ?>',  <?php echo $pvv1; ?>,  <?php echo $pcc1; ?>,  <?php echo $utt1; ?>],
        ['<?php echo $n_mes; ?>',  <?php echo $pvv; ?>,  <?php echo $pcc; ?>,  <?php echo $utt; ?>]
      ]);

    var options = {
        chart: {
          title: 'Ganancias'
        }
    };

    var chart = new google.charts.Line(document.getElementById('linechart_material'));
    chart.draw(data, google.charts.Line.convertOptions(options));
}
</script>
   
<div class="col-md-12">
    <div class="widget stacked">
        <div class="widget-content">
            <div id="linechart_material" style="height:330px" ></div>
        </div> <!-- /widget-content -->
    </div> <!-- /widget -->   
</div> <!-- /.span6 -->
